# OCICollection::assignElem

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

OCICollection::assignElem — Asigna un valor a un elemento de la colección

### Descripción

public OCICollection::assignElem(int `$index`, string `$value`): bool

Asigna un valor al elemento con índice `index`.

### Parámetros

`index`

  El índice del elemento. El primer índice es 0.

`value`

  Puede ser una cadena de caracteres o un número.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.

### Historial de cambios

Versión | Descripción
--- | ---
8.0.0, PECL OCI8 3.0.0 | La clase OCI-Collection ha sido renombrada a OCICollection para ajustarse a los estándares de nomenclatura de PHP.

### Ver también

- OCICollection::getElem